menu
#2907220 Nesting level too deep - recursive dependency?

Submitted by PocketMine-MP 3.9.0

General information

Version: 3.9.0
Git commit: bd69c66d
Plugin involvement: Direct
Report date: 2019-10-09 21:28:03 +0000 UTC

System Information

PHP version: 7.3.6
Operating system: linux
System banner: Linux primegames 4.15.0-64-generic #73-Ubuntu SMP Thu Sep 12 13:16:13 UTC 2019 x86_64

Error information

Warning: the SkyBlockPE plugin was directly involved in this crash. Please contact the plugin author.
Message: Nesting level too deep - recursive dependency?
File: plugins/SkyBlockPE.phar/src/SkyBlock/SkyBlockListener
Line: #205
Error level: E_ERROR
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
    /**
* @param PlayerChatEvent $event
*/
public function onChat(PlayerChatEvent $event) {
$chat = $this->plugin->getChatHandler()->getPlayerChat($event->getPlayer());
if($chat instanceof Chat) {
$recipients = $event->getRecipients();
foreach($recipients as $key => $recipient) {
if($recipient instanceof Player) {
if(!in_array($recipient, $chat->getMembers())) {
unset($recipients[$key]);
}
}
}
}
else {
$recipients = $event->getRecipients();
foreach($recipients as $key => $recipient) {
if($recipient instanceof Player) {
if($this->plugin->getChatHandler()->isInChat($recipient)) {

Loaded Plugins

  • Show

Server Settings

  • Show